org.apache.xmlbeans.impl.values

## Class JavaListXmlObject<T extends XmlObject>

- java.lang.Object
- - java.util.AbstractCollection<E>
  - - java.util.AbstractList<T>
    - - org.apache.xmlbeans.impl.values.JavaListXmlObject<T>

All Implemented Interfaces:
  Iterable<T>, Collection<T>, List<T>

    public class JavaListXmlObject<T extends XmlObject>
    extends AbstractList<T>

### Field Summary

### Fields inherited from class java.util.AbstractList

`modCount`

### Constructor Summary

Constructors
Constructor and Description
`JavaListXmlObject(Function<Integer,T> getter, BiConsumer<Integer,T> setter, Function<Integer,T> adder, Consumer<Integer> remover, Supplier<Integer> sizer)`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `add(int index, T t)`
`T` `get(int index)`
`T` `remove(int index)`
`T` `set(int index, T element)`
`int` `size()`

### Methods inherited from class java.util.AbstractList

`add, addAll, clear, equals, hashCode, indexOf, iterator, lastIndexOf, listIterator, listIterator, removeRange, subList`

### Methods inherited from class java.util.AbstractCollection

`addAll, contains, containsAll, isEmpty, remove, removeAll, retainAll, toArray, toArray, toString`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface java.util.List

`addAll, contains, containsAll, isEmpty, remove, removeAll, replaceAll, retainAll, sort, spliterator, toArray, toArray`

### Methods inherited from interface java.util.Collection

`parallelStream, removeIf, stream`

### Methods inherited from interface java.lang.Iterable

`forEach`

### Constructor Detail

#### JavaListXmlObject

    public JavaListXmlObject(Function<Integer,T> getter,
                             BiConsumer<Integer,T> setter,
                             Function<Integer,T> adder,
                             Consumer<Integer> remover,
                             Supplier<Integer> sizer)

### Method Detail

#### get

    public T get(int index)

Specified by:
  `get` in interface `List<T extends XmlObject>`
Specified by:
  `get` in class `AbstractList<T extends XmlObject>`

#### set

    public T set(int index,
                 T element)

Specified by:
  `set` in interface `List<T extends XmlObject>`
Overrides:
  `set` in class `AbstractList<T extends XmlObject>`

#### add

    public void add(int index,
                    T t)

Specified by:
  `add` in interface `List<T extends XmlObject>`
Overrides:
  `add` in class `AbstractList<T extends XmlObject>`

#### remove

    public T remove(int index)

Specified by:
  `remove` in interface `List<T extends XmlObject>`
Overrides:
  `remove` in class `AbstractList<T extends XmlObject>`

#### size

    public int size()

Specified by:
  `size` in interface `Collection<T extends XmlObject>`
Specified by:
  `size` in interface `List<T extends XmlObject>`
Specified by:
  `size` in class `AbstractCollection<T extends XmlObject>`